#eureka client配置
eureka:
  instance:
    # 注册时使用ip而不是主机名
    preferIpAddress: true
    instanceId: ${spring.cloud.client.ip-address}:${server.port}
    health-check-url-path: /actuator/health
    # 状态地址为api地址
    statusPageUrlPath: /${server.servlet.contextpath:}/apidoc.html
    leaseRenewalIntervalInSeconds: 5 #租期更新时间间隔（默认30秒） 客户端发送心跳检测时间间隔
    leaseExpirationDurationInSeconds: 10 #租期到期时间（默认90秒）

server:
  servlet:
    contextpath:
  port: 27217

spring:
  profiles:
#    active: test
    active: qingniutest
#    active: dev
#    active: prodkzy


#springboot admin配置   
management:
  endpoints: 
    web: 
      exposure: 
        include: "*"
hystrix:
  threadpool:
    default:
      coreSize: 20 #线程隔离，默认线程池大小为10
      maxQueueSize: 500
      queueSizeRejectionThreshold: 400
  command:
    default:
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 75000
## HystrixCommandKey：要单独设置超时时间的方法 方法级别限定
    "StrategyClient#getStrategyDTO(String,String,String,String)": 
      execution:
        timeout:
          #是否开启超时熔断，默认true
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 4000   #熔断器熔断降级时间 设置要大于 connectTimeout + readTimeout 之和
            #假设：连接500毫秒，处理短信4000毫秒，哪个timeOut会触发服务降级
            # 链接   500毫秒 < connectTimeout 1000 正常；处理短信4000 < readTimeout 5000 正常； 但是 (4000 + 500) > 1000 超过了熔断时间。因此超时降级
      circuitBreaker:
        forceOpen: false #true代表强制熔断器强制处于Open状态，即服务不可用
        requestVolumeThreshold: 50
        errorThresholdPercentage: 60
#        sleepWindowInMilliseconds: 10000
        sleepWindowInMilliseconds: 5000
ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 0
  
feign:
  hystrix:
    enabled: true
     
prolog:
  auth:
    redis:
#      timeout: 18000
      namespace: "hnsyy_wms_user:"
    client-id: platform-admin
    client-secret: prolog0212
    permitResource: /*.html,/**/*.css,/**/*.js,/**/*.ico,/**/*.png,/**/*.gif,/**/*.jpg,/**/font/*,/v2/api-docs,/microService/microservicesByEnterprise,/microService/getMicroservices,/userSync/*,/userpower/sendsms,/userpower/*/register,/userpower/*/retrieve, /asn/v1.0/saveAsnBillByOms,/wms/v1.0/*,/erp-request/*,/taskStraight/*,/rqcHeaders/*
  ms:
    dataCenterId: 6
    machineId: 2
  apidoc:
    title: 入库服务
    basePackage: com.prolog.cs.biz.inbound
    description: 入库服务
    version: 1.0
  dao:
    dialect: oracle
    pagehelper: #pagehelper分页插件配置
      helperDialect: ${prolog.dao.dialect}
      reasonable: true
      supportMethodsArguments: true
      pageSizeZero: true
      params: count=countSql
    mybatis:
      typeAliasesPackage: com.prolog.cs.biz.inbound.model
      mapperLocations: classpath:mappers/*.xml
      configuration:
        log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  web:
    multipart:
      maxFileSize: 50MB
      maxRequestSize: 50MB
  service:
    item: upcloud-base-item
    warehouse: upcloud-base-wh
    chain: upcloud-base-chain
    common: upcloud-base-common
#    oms: oms-std-business
    inventory: upcloud-base-inventory
    control: upcloud-base-wh-control
    strategy: upcloud-base-strategy
    dataExchange: data-exchange
  test: false
  wms:
    expiredDays: 90
    print:
# 质检通知
      printUrl3: http://minio.cloud.prolog.org/print/%E9%AA%8C%E6%94%B6%E9%80%9A%E7%9F%A5%E5%8D%95%20.grf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=nyu8dWdGLqiUkvgF4ue5%2F20210623%2F%2Fs3%2Faws4_request&X-Amz-Date=20210623T132157Z&X-Amz-Expires=432000&X-Amz-SignedHeaders=host&X-Amz-Signature=9558c7331c63c500ab70d55553e550c7acf1466ad334c297cddd706bc7ceed4a
#   上架标签
      printUrl: http://minio.cloud.prolog.org/print/%E4%B8%8A%E6%9E%B6%E6%A0%87%E7%AD%BE.grf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=nyu8dWdGLqiUkvgF4ue5%2F20210623%2F%2Fs3%2Faws4_request&X-Amz-Date=20210623T132252Z&X-Amz-Expires=432000&X-Amz-SignedHeaders=host&X-Amz-Signature=7e00eba14663125805b0f948fd5b8972a88e1464fe108acc17951ae145c2772d
#   质检明细
      printUrl2: http://minio.cloud.prolog.org/print/%E8%B4%A8%E6%A3%80%E6%98%8E%E7%BB%86%E5%8D%95.grf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=nyu8dWdGLqiUkvgF4ue5%2F20210623%2F%2Fs3%2Faws4_request&X-Amz-Date=20210623T132012Z&X-Amz-Expires=432000&X-Amz-SignedHeaders=host&X-Amz-Signature=d03d6685318f0363e3537e5078d964f0bd02637f71b3adad8f60535ecd80f741
#   质检汇总
      printUrl4: http://minio.cloud.prolog.org/print/%E8%B4%A8%E6%A3%80%E6%B1%87%E6%80%BB%E5%8D%95.grf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=nyu8dWdGLqiUkvgF4ue5%2F20210615%2F%2Fs3%2Faws4_request&X-Amz-Date=20210615T090745Z&X-Amz-Expires=432000&X-Amz-SignedHeaders=host&X-Amz-Signature=03a67425582efacc4f07f1609454fd590113f52f2feb5f5e5cf61c67e6b5fe96
      printSolution: batch_order.grf
      printSolution1: SJ_BQ.grf
      preview1: false
      printName: 
      printCount: 1
      preview: true
  taobao:
    serverUrl: "http://gw.api.taobao.com/router/rest"
    appKey: "31829450"
    appSecret: "ec698ea2ac4accd88006cd8a390b4567"
    refEntId: "fa3dfe7f41ce42c1b6b6f9505e530e32"
logging:
  config: classpath:log4j2-dev.xml
  level.root: DEBUG
erp:
  pull:
    url: http://192.168.1.212:10001/api/siyuan/inbound/pullAsn
  report:
    url: http://192.168.1.212:10001/api/siyuan/inbound/asnbill/report
  inStockBack:
    erpUrl: http://192.168.1.212:10001/api/siyuan/inbound/inStockBack